Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IDPMInterface Class Reference

`#include <PluginCommon.hpp>`

List of all members.

## Public Member Functions
virtual | ~IDPMInterface ()
virtual HWND | GetWindowHandle ()=0
virtual IDPMResult | GetWindowSize (deRect *WindowRect)=0
virtual IDPMResult | RegisterControlType (const char *ControlType, IDPlugin *Plugin)=0
virtual void | SuspendUserInput (IDPControl *Control, BOOL Suspend=TRUE)=0
virtual void | CommitControlChanges (IDPControl *Control)=0
virtual void | AddLogEntry (const char *szText, int iLevel)=0
virtual IDPMMenu * | GetMenuHandler (const char *Parent, IDPlugin *Plugin)=0
virtual IDPMMenu * | GetMenuHandler (const char *Parent, IDPObject *Object)=0
virtual IDPMMenu * | GetMenuHandler (HMENU hMenu, IDPlugin *Plugin)=0
virtual IDPMMenu * | GetMenuHandler (HMENU hMenu, IDPObject *Object)=0
virtual IDPMResult | ReleaseMenuHandler (IDPMMenu *Handler)=0
virtual IDPMUIHandler * | GetUIHandler ()=0

## Constructor & Destructor Documentation

virtual IDPMInterface::~IDPMInterface | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void IDPMInterface::AddLogEntry | ( | const char * | szText,
|  | int | iLevel
| ) | `[pure virtual]`

virtual void IDPMInterface::CommitControlChanges | ( | IDPControl * | Control | ) | `[pure virtual]`

virtual IDPMMenu* IDPMInterface::GetMenuHandler | ( | HMENU | hMenu,
|  | IDPObject * | Object
| ) | `[pure virtual]`

virtual IDPMMenu* IDPMInterface::GetMenuHandler | ( | HMENU | hMenu,
|  | IDPlugin * | Plugin
| ) | `[pure virtual]`

virtual IDPMMenu* IDPMInterface::GetMenuHandler | ( | const char * | Parent,
|  | IDPObject * | Object
| ) | `[pure virtual]`

virtual IDPMMenu* IDPMInterface::GetMenuHandler | ( | const char * | Parent,
|  | IDPlugin * | Plugin
| ) | `[pure virtual]`

virtual IDPMUIHandler* IDPMInterface::GetUIHandler | ( |  | ) | `[pure virtual]`

virtual HWND IDPMInterface::GetWindowHandle | ( |  | ) | `[pure virtual]`

virtual IDPMResult IDPMInterface::GetWindowSize | ( | deRect * | WindowRect | ) | `[pure virtual]`

virtual IDPMResult IDPMInterface::RegisterControlType | ( | const char * | ControlType,
|  | IDPlugin * | Plugin
| ) | `[pure virtual]`

virtual IDPMResult IDPMInterface::ReleaseMenuHandler | ( | IDPMMenu * | Handler | ) | `[pure virtual]`

virtual void IDPMInterface::SuspendUserInput | ( | IDPControl * | Control,
|  | BOOL | Suspend = TRUE
| ) | `[pure virtual]`

The documentation for this class was generated from the following file:

- PluginCommon.hpp